{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gnome-font-viewer/gnome-font-viewer",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gnome-font-viewer_gnome-font-viewer_h",
            "desc": "测试 gnome-font-viewer 命令的 -h 参数，显示帮助选项"
        },
        {
            "name": "test_gnome-font-viewer_gnome-font-viewer_help",
            "desc": "测试 gnome-font-viewer 命令的 --help 参数，显示帮助选项"
        },
        {
            "name": "test_gnome-font-viewer_gnome-font-viewer_help_all",
            "desc": "测试 gnome-font-viewer 命令的 --help-all 参数，显示所有帮助选项"
        },
        {
            "name": "test_gnome-font-viewer_gnome-font-viewer_help_gapplication",
            "desc": "测试 gnome-font-viewer 命令的 --help-gapplication 参数，显示 GApplication 选项"
        },
        {
            "name": "test_gnome-font-viewer_gnome-font-viewer_version",
            "desc": "测试 gnome-font-viewer 命令的 --version 参数，显示应用程序版本"
        },
        {
            "name": "test_gnome-font-viewer_gnome-thumbnail-font_default",
            "desc": "使用默认参数生成字体缩略图"
        },
        {
            "name": "test_gnome-font-viewer_gnome-thumbnail-font_t_custom_text",
            "desc": "使用自定义文本生成字体缩略图"
        },
        {
            "name": "test_gnome-font-viewer_gnome-thumbnail-font_s_custom_size",
            "desc": "使用自定义大小生成字体缩略图"
        },
        {
            "name": "test_gnome-font-viewer_gnome-thumbnail-font_t_custom_text_s_custom_size",
            "desc": "使用自定义文本和大小生成字体缩略图"
        },
        {
            "name": "test_gnome-font-viewer_function_font_preview",
            "desc": "Preview a font file in the viewer"
        }
    ]
}